DOMAIN="cypress.bc.ca"
URL="iot1743.cypress.bc.ca"
IP_ADDR="172.24.74.23"
HOSTS_FILE="/etc/hosts"

sleep 30

#Check if hosts file has already been set
ips=$(cat $HOSTS_FILE | grep -c "$IP_ADDR")
urls=$(cat $HOSTS_FILE | grep -c "$URL")
if [ $ips -ne 0 ] && [ $urls -ne 0 ];
then
	#all good, exit
	echo "All good"
	exit 0
else
	#Something is not set
	#Regenerate hosts file

	#delete all previously set lines
	echo "Rewriting file..."
	sed -i "/$DOMAIN/d" $HOSTS_FILE
#	sed -i '/$IP_ADDR/d' $HOSTS_FILE
	echo -e $IP_ADDR '\t' $URL >> $HOSTS_FILE
	sync
	sleep 5
	sync
	exit 0
fi
